Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006927 [DCSS] Bug Report minor always 2013-04-17 20:24 2014-03-27 05:56
Reporter mumra View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0006927: Can cast mephitic cloud on self without prompt
Description Whether you're poison immune or not, mephitic cloud can be cast on yourself and no prompt is given. If you try to cast it in the square next to you, you *do* get a warning.

This can be easily fixed by removing SPFLAG_ALLOW_SELF from the spell flags in spl-data.h but then you'll *always* be prompted even if your have rPois. I still think this is better than the current situation however.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0005295resolvedchris No prompt for poison clouds with unidentified rPois 

-  Notes
(0022321)
SamB (developer)
2013-04-17 22:12

Note that if this is changed, the text for allow_self_target in options_guide.txt might need changing too; it seems to mention this behaviour:
        This option has no effect on area-effect
        spells, such as Mephitic Cloud, where you are always a valid target.
(0025726)
MarvinPA (developer)
2014-03-27 05:56

This was fixed.

- Issue History
Date Modified Username Field Change
2013-04-17 20:24 mumra New Issue
2013-04-17 20:24 mumra Relationship added related to 0005295
2013-04-17 22:12 SamB Note Added: 0022321
2013-09-14 06:46 Naruni Issue Monitored: Naruni
2014-03-27 05:56 MarvinPA Note Added: 0025726
2014-03-27 05:56 MarvinPA Status new => resolved
2014-03-27 05:56 MarvinPA Fixed in Branch => 0.14 development branch
2014-03-27 05:56 MarvinPA Resolution open => done
2014-03-27 05:56 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker